Gets a paginated list of all users

Prev Next
Get
/api/v2/users
Security
HTTP
Type bearer
Query parameters
timezone
string

Apply timezone to users

Default"UTC"
ExampleAsia/Kolkata
name
string

The name of a user to filter

loginName
string

The loginName of a user to filter

mail
string

The mail of a user to filter

accountStatus
string

The accountStatus of a user to filter. The available account status are Enabled, Disabled, Enabled* and Disabled*

mfa
boolean

The mfa state of a user to filter. The available mfa states are true, false

emailVerified
boolean

The email verified state of a user to filter. The available email verified states are true, false

size
integer

The number of records to return per page, The default size is 25

Default25
page
integer

The page number. The page number start from 1

Default1
orgId
string

The ID of a particular org to filter

groupName
string

The group name of a user to filter

sort
array of string

Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['name','loginName','mail','lastLoggedIn', 'pwdExpiryDays', 'whenCreated', 'whenChanged', 'scheduleAccessEndDate']

DefaultwhenCreated:DESC
Example[ "name:asc" ]
lastLoggedIn
string

Filter the user whose never loggedIn. Allowed value: Never

lastLoggedInFromDate
string

The earliest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
lastLoggedInToDate
string

The latest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
passwordExpiryFromDate
string

The latest date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
passwordExpiryToDate
string

The future date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
scheduleAccessExpiryFromDate
string

The latest date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
scheduleAccessExpiryToDate
string

The future date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
tags
array of string

Filter user by tags

siteId
string

The ID of a particular site to filter

Responses
200

A list of all users

Expand All
object
authorization
boolean
data
object
page
integer
results
Array of object (User)
object
accountStatus
string
authenticationDomains
Array of object
object
id
string
name
string
type
string
emailVerified
boolean
emailVerifiedAt
string
fState
string
firstName
string
groups
string
lastLoggedIn
string
lastName
string
loginName
string
mail
string
mfa
object
orgLevelPolicy
string
otp
boolean
resetOTP
boolean
triggeredAt
string
name
string
objectGUID
string
organization
object
id
string
level
integer
name
string
pwdExpiryDays
integer
pwdLastSetAt
string
sAMAccountName
string
scheduleAccess
object (ScheduleAccess)
enabled
boolean
end
string
notifyAt
string
recurrence
object
byDay
Array of string
string
byMonth
Array of integer
integer
byMonthDay
Array of integer
integer
bySetPos
Array of integer
integer
endTime
string
frequency
string
interval
integer
startTime
string
until
string
removeUserAfterLastSchedule
boolean
start
string
timezone
string
scope
string
tags
object
key
string
value
string
telephoneNumber
string
timezone
string
userPrincipalName
string
verifyEmailCount
integer
verifyEmailTriggeredAt
string
whenChanged
string
whenCreated
string
size
integer
totalCount
integer
totalPage
integer
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
500

Could not get users - Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean